# Created by pyp2rpm-3.3.3
%global pypi_name flask-restx
%global mod_name flask_restx

# run tests
%bcond_with tests

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 3
Summary:        Fully featured framework for fast, easy and documented API development with Flask
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/python-restx/flask-restx
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with tests}
BuildRequires:  python3dist(blinker)
BuildRequires:  python3dist(faker)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest) >= 5.0.1
BuildRequires:  python3dist(pytest-benchmark)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-flask)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(pytest-profiling)
BuildRequires:  python3dist(pytest-sugar)
BuildRequires:  python3dist(tzlocal)
%endif

%description
Flask-RESTX is a community driven fork of Flask-RESTPlus.

Flask-RESTX is an extension for Flask that adds support for quickly building
REST APIs. Flask-RESTX encourages best practices with minimal setup. If you are
familiar with Flask, Flask-RESTX should be easy to pick up. It provides a
coherent collection of decorators and tools to describe your API and expose its
documentation properly using Swagger.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-flask_restx}

%description -n python3-%{pypi_name}
Flask-RESTX is a community driven fork of Flask-RESTPlus.

Flask-RESTX is an extension for Flask that adds support for quickly building
REST APIs. Flask-RESTX encourages best practices with minimal setup. If you are
familiar with Flask, Flask-RESTX should be easy to pick up. It provides a
coherent collection of decorators and tools to describe your API and expose its
documentation properly using Swagger.

%prep
%autosetup -n %{pypi_name}-%{version}


# Flask reqs
sed -i -e 's/>=0.8, !=2.0.0/>2.0.0/g' requirements/install.pip
sed -i -e 's/werkzeug!=2.0.0/werkzeug>2.0.0/g' requirements/install.pip

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_restx

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 1.3.0-3.mga10
+ Revision: 2156546
- rebuild for python3.13

* Mon Dec 23 2024 papoteur <papoteur> 1.3.0-2.mga10
+ Revision: 2129260
- add and use pytest

* Sun Dec 31 2023 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2024763
- new version: 1.3.0

* Tue Dec 19 2023 papoteur <papoteur> 1.1.0-2.mga10
+ Revision: 2019333
- Mass Rebuild - Python 3.12

* Thu Apr 06 2023 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1951553
- new 1.1.0

* Fri Apr 01 2022 umeabot <umeabot> 0.5.1-3.mga9
+ Revision: 1838180
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.5.1-2.mga9
+ Revision: 1775045
- rebuild for python-3.10

* Sat Oct 09 2021 wally <wally> 0.5.1-1.mga9
+ Revision: 1750324
- new version 0.5.1 to fix CVE-2021-32838 (mga#29509)

* Fri Apr 23 2021 daviddavid <daviddavid> 0.2.0-3.mga9
+ Revision: 1718011
- rebuild for python 3.9

* Wed Sep 09 2020 guillomovitch <guillomovitch> 0.2.0-2.mga8
+ Revision: 1623954
- drop maximum version for build dependency

* Fri Apr 03 2020 wally <wally> 0.2.0-1.mga8
+ Revision: 1564177
- new version 0.2.0

* Sat Mar 21 2020 wally <wally> 0.1.1-1.mga8
+ Revision: 1558604
- imported package python-flask-restx

